OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Friends | List of all members
Range< 1, T > Class Template Reference

`#include <nanovdb/util/Range.h>`

## Public Types
using | const_iterator = T
using | size_type = size_t

## Public Member Functions
| Range (const Range &)=default
| Range (T begin, T end, size_type grainsize=size_type(1))
| Range (Range &r, Split)
| Split constructor: r[a,b[ -> r[a,b/2[ & this[b/2,b[.
bool | operator== (const Range &rhs) const
T | middle () const
size_type | size () const
bool | empty () const
size_type | grainsize () const
bool | is_divisible () const
const_iterator | begin () const
const_iterator | end () const

## Friends
template<int , typename >
class | Range

## Member Typedef Documentation

## ◆ const_iterator

template<typename T >

using const_iterator = T

## ◆ size_type

template<typename T >

using size_type = size_t

## Constructor & Destructor Documentation

## ◆ Range() [1/3]

template<typename T >

Range | ( | const Range< 1, T > & |  | ) |
| default

## ◆ Range() [2/3]

template<typename T >

Range | ( | T | begin,
|  | T | end,
|  | size_type | grainsize = `size_type(1)`
| ) |  |
| inline

## ◆ Range() [3/3]

template<typename T >

Range | ( | Range< 1, T > & | r,
|  | Split |
| ) |  |
| inline

Split constructor: r[a,b[ -> r[a,b/2[ & this[b/2,b[.

## Member Function Documentation

## ◆ begin()

template<typename T >

const_iterator begin | ( |  | ) | const
| inline

## ◆ empty()

template<typename T >

bool empty | ( |  | ) | const
| inline

## ◆ end()

template<typename T >

const_iterator end | ( |  | ) | const
| inline

## ◆ grainsize()

template<typename T >

size_type grainsize | ( |  | ) | const
| inline

## ◆ is_divisible()

template<typename T >

bool is_divisible | ( |  | ) | const
| inline

## ◆ middle()

template<typename T >

T middle | ( |  | ) | const
| inline

## ◆ operator==()

template<typename T >

bool operator== | ( | const Range< 1, T > & | rhs | ) | const
| inline

## ◆ size()

template<typename T >

size_type size | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ Range

template<typename T >
template<int , typename >

friend class Range
| friend